Resultados 1 al 10 de 10

Tema: Desinstalar completamente Openssh

  1. #1 Desinstalar completamente Openssh 
    Medio
    Fecha de ingreso
    Apr 2007
    Mensajes
    133
    Descargas
    6
    Uploads
    0
    Buenas gente, estoy teniendo problemas con el servidor ssh y me gustaría desinstalarlo completamente.

    El tema es que hago: apt-get remove - purge programa y cuando vuelvo a instalarlo "la criatura" lo detecta y me lo deja tal y como estaba.

    Socorro j8..

    Un saludo.

    Pd. Debian
     

  2. #2  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Cita Iniciado por Danilo51 Ver mensaje
    Buenas gente, estoy teniendo problemas con el servidor ssh y me gustaría desinstalarlo completamente.

    El tema es que hago: apt-get remove - purge programa y cuando vuelvo a instalarlo "la criatura" lo detecta y me lo deja tal y como estaba.

    Socorro j8..
    ¿No será una errata? Debería ser:
    Código:
    apt-get --purge remove $PAQUETE
    Comprueba qué paquetes tienes instalados y que pueden necesitar esa reinstalación:
    Código:
    dpkg -l | grep -i -e ssh -e ssl
    Luego, elimínalos con el comando de más arriba, o con el parámetro purge directamente:
    Código:
    apt-get purge $PAQUETES
    Y luego reinstala lo que quieras, forzando una nueva descarga del paquete .deb:
    Código:
    apt-get update
    apt-get --reinstall install $PAQUETES
    Opcionalmente, puedes asegurarte, debido a que no siempre el purge nos libra de archivos de configuración "residuales", de que todos están eliminados, con la ayuda de locate. Para ello, puedes ejecutar el siguiente comando justo después de purgar los paquetes:
    Código:
    updatedb
    y buscar lo que quieras en el sistema entero (en todas las particiones montadas en el momento de hacer updatedb), por ejemplo:
    Código:
    locate ssh

    No conozco la naturaleza del fallo del que te quieres librar, pero con eso deberías deshacerte de versiones anteriores potencialmente problemáticas. Ten en cuenta también que puede estar el fallo en las librerías, y no en los programas propiamente dichos.

    Si no te libras de problema, defínelo un poco más, a ver si así te podemos ayudar mejor.


    Salu2

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
     

  3. #3  
    Medio
    Fecha de ingreso
    Apr 2007
    Mensajes
    133
    Descargas
    6
    Uploads
    0
    Buenas j8,
    Ya se te echaba de menos por aquí.
    En efecto era una errata:
    Código:
    apt-get --purge remove $PAQUETE
    En un principio todo funcionaba correctamente, hasta que un día googleando me encuentro por ahí una referencia a NX Server y me digo a mi mismo "mi debian por ssh y entorno grafico??!!" y me puse manos a la obra. Y bueno la experiencia no ha sido muy buena que digamos. Pareceser que NX depende del archivo de configuración de ssh así que trasteando me lo cargué. Lo último era que ya me denegaba todas las conexiones remotas por ssh. Y claro no me hice copia del fichero base así que, intente desinstalarlo pero algo se quedaba por ahí, que cuando instalaba de nuevo cojia el fichero de confiruación antiguo.
    La verdad que las instrucciones que me has dado me han ido como anillo al dedo.

    Sólo tengo un par de comentarios.
    Al hacer el apt-update me ha devuelto un error que no había visto antes:
    Código:
    Leyendo lista de paquetes... Hecho
    W: GPG error: http://security.debian.org etch/updates Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 9AA38DCD55BE302B
    W: GPG error: http://ftp.fr.debian.org etch Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 9AA38DCD55BE302B
    W: Tal vez quiera ejecutar 'apt-get update' para corregir estos problemas
    Y a continuación el siguiente cuando me disponía a instalar:
    Código:
    Se instalarán los siguientes paquetes NUEVOS:
      openssh-blacklist openssh-client openssh-server
    0 actualizados, 3 se instalarán, 0 para eliminar y 114 no actualizados.
    Se necesita descargar 0B/3006kB de archivos.
    Se utilizarán 6222kB de espacio de disco adicional después de desempaquetar.
    ¿Desea continuar [S/n]? S
    AVISO: ¡No se han podido autenticar los siguientes paquetes!
      openssh-client openssh-blacklist openssh-server
    ¿Instalar estos paquetes sin verificación [s/N]?
    He tirado con la instalación y la cosa ha funcionado.

    Voy a ver si consigo hacer funcionar el NX server ahora que todo se ha restablecido.

    Muchísimas gracias por todo j8.
    Un saludo.
     

  4. #4  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    La instalación de NX a veces se complica. Para el tema de las firmas, si apt-get update no te lo arregla, prueba con apt-key update. Se trata de un mecanismo de prevención, para que nadie se haga pasar por tus repositorios oficiales


    Salu2

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
     

  5. #5  
    Medio
    Fecha de ingreso
    Apr 2007
    Mensajes
    133
    Descargas
    6
    Uploads
    0
    Buenas J8,
    Tras la reinstalación de ssh y NX todo ha vuelto a la normalidad.

    El único punto oscuro que me ha quedado es cuando hago apt-key update.

    Lo he ejecutado, y después he hecho el apt-get update normal y sigue tirando el mismo error. Eso es normal?

    Un saludo
    Gracias por todo crack!!
     

  6. #6  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Quizá has añadido últimamente un repositorio nuevo?

    De cualquier modo, ya que apt-key no te lo hace automáticamente, deberás añadir tú manualmente la clave del servidor del repositorio que te está dando la alerta.

    O sea, prueba con esto:

    Código:
    gpg --keyserver subkeys.pgp.net --recv-keys 9AA38DCD55BE302B
    gpg --armor --export 9AA38DCD55BE302B | sudo apt-key add -
    Lo he comprobado por ti y esa clave es la de ID 55BE302B, así que puedes estar tranquilo de que es la auténtica

    Luego ya podrás hacer el apt-get update de nuevo. A ver si con eso tira.


    Salu2

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
     

  7. #7  
    Medio
    Fecha de ingreso
    Apr 2007
    Mensajes
    133
    Descargas
    6
    Uploads
    0
    Buenas j8,
    Intentando hacer lo que me comentas, me sale el siguiente error:
    Código:
    gpg: requesting key 55BE302B from hkp server subkeys.pgp.net
    gpg: keyserver timed out
    gpg: keyserver receive failed: keyserver error
    Entiendo que el servidor en cuestion no esta respondiendo y por eso falla. Tengo conexión a internet con lo que seguiré intentándolo a ver.

    Un saludo.
     

  8. #8  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Es raro, porque es un servidor rotativo, pero cierto, parece estar caído. Ayer cuando te lo posteé sí que respondía.

    Bueno, usa entonces el del MIT, que también la tiene: pgp.mit.edu


    Salu2

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
     

  9. #9  
    Medio
    Fecha de ingreso
    Apr 2007
    Mensajes
    133
    Descargas
    6
    Uploads
    0
    Buenas j8,
    Ahora si que si.
    Ha ido perfeto.
    Una vez más muchissisisisisismas gracias. (hay que ver lo que se aprende contigo)

    Un saludo!
     

  10. #10  
    Moderador Global
    Fecha de ingreso
    Aug 2005
    Mensajes
    6.279
    Descargas
    7
    Uploads
    0
    Cierro entonces


    Salu2

    . . . . . . . . . . . . . . . . . . . .
    [[ NORMAS DEL FORO ]]
    . . . . . . . . . . . . . . . . . . . .
    __________
     

Temas similares

  1. Bug Grave En Todas Las Versiones De Openssh
    Por Sn@ke en el foro VULNERABILIDADES
    Respuestas: 6
    Último mensaje: 18-05-2006, 11:36
  2. estoy completamente infectado
    Por felipe david en el foro GENERAL
    Respuestas: 5
    Último mensaje: 10-06-2005, 09:58
  3. No puedo utilizar mi disco duro completamente
    Por MartínAriel en el foro HARDWARE
    Respuestas: 11
    Último mensaje: 08-03-2005, 23:48
  4. OpenSSH Challenge-Response Buffer Overflow
    Por melmak7 en el foro VULNERABILIDADES
    Respuestas: 0
    Último mensaje: 09-06-2004, 13:14
  5. Tema completamente Off-Topic
    Por mckymous en el foro OFF-TOPIC
    Respuestas: 4
    Último mensaje: 23-12-2003, 21:53

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •